// SysInfoObserver.h
// Copyright(C) 1999 by Kiyoshi Kobayashi. All rights reserved.
//

#ifndef _SYS_INFO_OBSERVER_H_
#define _SYS_INFO_OBSERVER_H_

#include "SysInfo.h"

// This class is an abstruct class that defines the interface
// of the observer object of the system information update.
//
class SysInfoObserver {
  public:
	SysInfoObserver() {};
	virtual ~SysInfoObserver() {};
	
	virtual void Updated(const SysInfo &updated) = 0;
	
  protected:
	SysInfoObserver(const SysInfoObserver &) {};
};

#endif // _SYS_INFO_OBSERVER_H_
