// BeYapApp.h
// Copyright(C) 1999 by Kiyoshi Kobayashi. All rights reserved.
//
//

#ifndef _BEYAP_APP_H_
#define _BEYAP_APP_H_

// System headers
#include <Application.h>
#include <Message.h>

// Local headers
#include "BeYapWin.h"
#include "Profile.h"

class BeYapApp : BApplication {
public:
	BeYapApp();
	~BeYapApp();
	thread_id Run();
	void MessageReceived(BMessage *message);

private:
	BeYapWin *win;
	Profile *p;
};

#endif /* _BEYAP_APP_H_ */
