// HorizontalLayoutManager.h
// Copyright(C) 1999 by Kiyoshi Kobayashi. All rights reserved.
//

#ifndef _HORIZONTAL_LAYOUT_MANAGER_H_
#define _HORIZONTAL_LAYOUT_MANAGER_H_

#include <Rect.h>

#include "LayoutManager.h"
#include "BaseView.h"

class HorizontalLayoutManager : public LayoutManager {
  public:
	HorizontalLayoutManager(BaseView *view)
	 : LayoutManager(LT_HORIZONTAL, view) {};
	virtual ~HorizontalLayoutManager() {};

  protected:
	virtual void doSetLimits(const BRect &min, const BRect &max);
	virtual void doLayout();
};

#endif /* _HORIZONTAL_LAYOUT_MANAGER_H_ */
